Package org.apache.sling.distribution.journal.impl.publisher

# Class AgentState

java.lang.Object
org.apache.sling.distribution.journal.impl.publisher.AgentState

@ParametersAreNonnullByDefault public class AgentState extends Object

## Method Summary

Modifier and Type
Method
Description
`static org.apache.sling.distribution.agent.DistributionAgentState`
`getState(org.apache.sling.distribution.agent.spi.DistributionAgent agent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getState

@Nonnull public static org.apache.sling.distribution.agent.DistributionAgentState getState(org.apache.sling.distribution.agent.spi.DistributionAgent agent)